#!/usr/bin/env kjscmd

println( "Hello World" );

var d = new DCOPClient();

if ( d.attach())
{
	println("Attached...");
	if( d.isAttached() )
	{
		var ref = d.call("kdesktop", "KDesktopIface", "background()");
		if( ref )
		{
			println( "Got ref");
			var data = ref.call("isCommon()");
			println("Returned a : " + data);
		}

	}
	else
		println( "Error!" )
}
else
	println("Failed...");

println( "Done" );
